#ifndef _TESTLAPLACE_H
#define _TESTLAPLACE_H

#include <cppunit/extensions/HelperMacros.h>

/**
 * CppUnit-Testcase. 
 * Tests for the Laplace Approximation
 */
class TestLaplace : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE( TestLaplace );
  CPPUNIT_TEST( testLikelihoodDiff );
  CPPUNIT_TEST( testCumGaussPredict );
  CPPUNIT_TEST( testModeFinding );
  CPPUNIT_TEST( testHyperParameterOptGradients );
  CPPUNIT_TEST_SUITE_END();
  
private:
 
public:
  void setUp();
  void tearDown();

  void testLikelihoodDiff();
  void testCumGaussPredict();
  void testModeFinding();
  void testHyperParameterOptGradients();
};

#endif
